> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getCode

> Returns the code stored at the given address



## OpenAPI

````yaml /api-reference/openapi.json post /eth_getCode
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /eth_getCode:
    post:
      tags:
        - Ethereum API
      summary: eth_getCode
      description: Returns the code stored at the given address
      operationId: eth_getCode
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: eth_getCode
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: Address and block parameter
                  default:
                    - '0x8fe5810cd78eb8d8b9abad8527dfc1265bee6c56'
                    - latest
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: eth_getCode
              params:
                - '0x8fe5810cd78eb8d8b9abad8527dfc1265bee6c56'
                - latest
      responses:
        '200':
          description: Returns the code at the given address
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  id:
                    type: integer
                    example: 1
                  result:
                    type: string
                    description: The code at the given address
                    example: 0x
              example:
                jsonrpc: '2.0'
                id: 1
                result: 0x

````